## mksh 40.9.20120414

=== debian/changelog ===
mksh (40.9.20120414-3) unstable; urgency=high

  * The “I could probably use pause() instead” upload
  * Disable klibc except for a positive-list of architectures that
    are using RT signals already, due to non-RT sigsuspend brokenness
  * Drop m68k specific klibc workaround (it’s the above)
  * Urgency high as mksh-static is subtly broken on many platforms

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 05 May 2012 21:42:09 +0000

mksh (40.9.20120414-2) unstable; urgency=low

  * The “still more buggy than I had hoped” upload
  * When running mtests, time-limit every test to prevent hanging builds
  * Add back ppc64, packages.d.o brokenness had me fooled
  * m68k specific klibc workaround: -g but no -O are needed (gcc bug?)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 14 Apr 2012 18:48:37 +0000

mksh (40.9.20120414-1) unstable; urgency=low

  * The “ziek zĳn zuigt” upload
  * d/source/format 3.0 (quilt), with local single-debian-patch
  * Honour DevRef §6.7.8.2.(4) wrt. top-level directory name
  * Base on mksh-current HEAD of today:
    - [tg] New Build.sh environment configurable: LDSTATIC (empty)
    - [tg] Improve LTO effect by always adding our copies of distributed
      utility function sources when linking statically (i.e. LDSTATIC is
      not empty)
    - [tg] Drop deprecated hack for lines beginning with an exclamation mark
    - [tg] No longer interpret numbers beginning with a 0 digit as octal
    - [tg] Attempt to use -fwrapv on more compilers
    - [tg, RT] Better portability to 386BSD
    - [tg] No longer use mkstemp(3) or tempnam(3) functions, do our own
    - [tg] Fix some bugs in the manual page
  * Try klibc and fix missing optimisation for size with it
  * Note klibc and dietlibc both disable ProPolice SSP

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 14 Apr 2012 16:58:58 +0000

mksh (40.5-3) unstable; urgency=low

  * The “Basti” intermediate upload
  * Add a minitest that select(2) works (fails on dietlibc/ppc64)
  * Patch up to mksh-current HEAD of today:
    - [tg, RT] Implement fcntl(2)-based advisory locking as an
      alternative iff flock(2) is not found (LP: #912691); keep
      trying to lock in the face of EINTR on OSes that throw it
    - [tg] Improve testsuite, build-time checks and debugging output
    - [tg, RT, winstonw] Improve portability to BeOS (broken),
      Cygwin (good), SCO OpenServer (good), SCO UnixWare (good),
      USL C, Plan 9 (broken), …
    - [tg] rlim_t is supposed to be unsigned
    - [tg] Some code and warning cleanup
  * Revert the 40.5-2 dietlibc test change as promised

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 29 Mar 2012 19:35:09 +0000

mksh (40.5-2) unstable; urgency=low

  * The “meow korn shell” upload
  * We build on DEB_BUILD_ARCH for DEB_HOST_ARCH, not the other way round,
    take this in mind when deciding based on the target system (DEB_HOST)
  * Add hotfix for regression in 40.5 wrt. tty initialisation handling
    - [tg] Fix severe regression wrt. initialising tty(4) states
  * Build-Depend on newer dietlibc upload for testing that (will be
    removed in the next upload when 40.6 is out); if needed, we can
    always block the 40.5-1 upload from entering testing
  * Build with --as-needed

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 25 Mar 2012 20:34:46 +0000

mksh (40.5-1) unstable; urgency=low

  * The “amused” upload
  * Patch up to mksh R40-stable branch of today:
    - [tg, RT, lewellyn] Better support for SkyOS, Minix 3, Ninix 3,
      QNX and various BSD/OS versions
    - [tg] Fix regression in mirtoconf output wrt. cached values (introduced
      with check if divmod fixup was needed)
    - [tg] Drop some Android-specific unused code (lsmod builtin)
    - [tg] More code cleanup and new developer-only debugging functions
    - [tg, Andrew Kudryashov] Fix some tab completion related escaping bugs
    - [tg, draenog] Honour COLUMNS and LINES from the environment in scripts
    - [tg, winstonw] The sleep built-in utility now blocks more signals
    - [tg] Warn when using another deprecated function that will be removed
  * New upstream distfile from the above
  * Patch up to mksh-current HEAD of today:
    - [tg] Drop “set ±o arc4random” (deprecated in R40)
    - [tg] Drop old Build.sh -long-options (deprecated in R40)
    - [tg] Change the internal hash algorithm from Bob Jenkins’ one-at-a-time
      to its NUL-counting, always-changing, never-zero, better-avalanching
      MirOS variant NZAT
    - [tg] Use $'…' for non-ASCII parameters for re-entry printing
    - [tg] Use sane spelling of “read-only” consistently
    - [tg] Improve tree -DDEBUG functions (internal/developer use)
    - [tg] Reduce stack usage a bit; speed up hash tables at size cost
    - [tg] MKSH_SMALL no longer implies -fno-inline
    - [tg] Support optional seed in ${parameter@#seed} for security
  * Consider yourself warned about the following things:
    - once klibc ships mkstemp() we will build mksh-static against it
    - soon, probably before the wheezy freeze even, we will disable
      deprecated code (which users of are warned about, at the moment)
  * Policy 3.9.3 (no relevant changes)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 24 Mar 2012 23:30:11 +0000

mksh (40.4-3) unstable; urgency=low

  * The “sleepy” upload
  * Several fixes for klibc support:
    - dpkg-buildflags adds -fstack-protector, klibc doesn’t like it
    - on m68k, klibc builds need -g or they croak
    - unbreak overriding which toolchains are used for mksh-static
  * Patch up to mksh R40-stable branch of today:
    - [tg, RT] Move mirtoconf checks and INCLUDES_ONLY parts of sh.h
      around to ensure prerequisites are always available
    - [tg, RT, ir0nh34d] Pass mksh.exe to testsuite, if such thing is
      generated, and deal with Cygwin passing just “mksh” in argv[0] in
      such cases
    - [tg] Imply -DMKSH_ASSUME_UTF8=0 on MSYS; optimise checks
    - [tg, Jb_boin] Fix regression introduced in R35b by jaredy’s

