=== debian/control ===
# $MirOS: contrib/hosted/tg/deb/mksh/debian/control,v 1.72 2012/05/05 21:45:25 tg Exp $
#
Source: mksh
Section: shells
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: http://mirbsd.de/mksh
# The list of dietlibc-dev architectures is copied from its control file.
# On other architectures, mksh-static links against eglibc (yuck…)
# note to porters: dropping the dietlibc-dev B-D is fine, will use eglibc then
# but do not unversion the B-D where it is versioned, older versions are buggy
# (not all buggy versions are excluded - but caught by the testsuite, run it!)
# same applies to klibc
Build-Depends: bsdmainutils, debhelper (>= 5), ed,
#XXX klibc on hppa not built yet
  libklibc-dev (>= 2.0~) [alpha amd64 ia64 ppc64 sparc sparc64],
#XXX dietlibc on hppa isn't built yet (needs versioning)
  dietlibc-dev [alpha amd64 arm armeb i386 ia64 mips mipsel powerpc ppc64 sparc],
  dietlibc-dev (>= 0.33~cvs20111108-5~) [armel armhf s390 s390x sparc64],
  locales [!avr32] | belocs-locales-bin [!avr32]
Standards-Version: 3.9.3
# First word is the $CVSROOT (-d arg) string, second word the module.
# Upstream is on the same server, in the "mksh" module.
Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/mksh
Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/mksh/

Package: mksh
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ed
Description: MirBSD Korn Shell
 mksh is the successor of the Public Domain Korn shell (pdksh),
 a Bourne/POSIX compatible shell which is largely similar to the
 original AT&T Korn Shell (ksh88/ksh93).
 It includes bug fixes and feature improvements, in order to produce a
 modern, robust shell good for interactive and especially script use.
 mksh has UTF-8 support (in string operations and the Emacs editing
 mode). The code has been cleaned up and simplified, bugs fixed,
 standards compliance added, and several enhancements (for extended
 compatibility to other modern shells, as well as a couple of its
 own) are available.
 This shell is Debian Policy 10.4 compliant and may be used as /bin/sh
 on Debian systems, in both /bin/mksh and /bin/mksh-static flavours.
 .
 The mksh-static binary is a version of mksh, linked against klibc or
 dietlibc (if they exist for that Debian architecture and are usable)
 and optimised for small code size, for example for use on initrd or
 initramfs images, installation or rescue systems, or /bin/sh on slow
 architectures.
 It omits some leaf features to be even smaller.
 .
 A sample ~/.mkshrc is included in /usr/share/doc/mksh/examples and
 provided as /etc/mkshrc conffile, which is sourced by another file
 /etc/skel/.mkshrc users are recommended to copy into their home.
