=== debian/watch ===
# $MirOS: contrib/hosted/tg/deb/mksh/debian/watch,v 1.2 2009/08/01 15:33:42 tg Exp $

version=3
# convert upstream versioning to Debian version numbers
opts="uversionmangle=s/^([0-9]+)$/$1.1/;s/^([0-9]+)b$/$1.2/;s/^([0-9]+)c$/$1.3/;s/^([0-9]+)d$/$1.4/;s/^([0-9]+)e$/$1.5/;s/^([0-9]+)f$/$1.6/;s/^([0-9]+)g$/$1.7/;s/^([0-9]+)h$/$1.8/;s/^([0-9]+)i$/$1.9/" \
http://www.mirbsd.org/MirOS/dist/mir/mksh/ mksh-R([0-9]+[b-i]?)\.cpio\.gz
