## mksh 40.9.20120518

=== debian/changelog ===
mksh (40.9.20120518-2) unstable; urgency=low

  * The “what’s a bit or hurd hacking compared to m68k reviving” upload
  * Enable dietlibc and klibc on as many targets as possible, even any
    version not positively known to break the mtests, in debian/control
    and switch debian/meat to paranoia (shy of freeze) mode to use only
    eglibc unless the testsuite is allowed to be run
  * Also rebuild against the new klibc release 2.0
  * Use debhelper-less package build system
  * TODO: Add Built-Using header once that is documented

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 07 Jun 2012 00:26:49 +0000

mksh (40.9.20120518-1) unstable; urgency=low

  * The “lots of bugfixing” upload
  * Update to mksh-HEAD:
    - [tg] Fix some bugs in Build.sh
    - [tg, ciruZ] Switch from NZAT to NZAAT hash for better range
      coverage; turns out that the never-zero property of NZAT was
      not in fact needed for hash tables as implemented in mksh
      (also, align, and 75% are enough)
    - [tg] Add MKSH_NO_CMDLINE_EDITING, MKSH_DISABLE_TTY_WARNING
    - [RT] Port to Coherent UNIX
    - [tg] Enable some options by default for some ports, for
      instance, since BeOS can never have a controlling tty, the
      option disabling that warning
    - [tg] Some bugfixes, prompted by RT and Valgrind
    - [RT] Disable sigsuspend(2) on Syllable Desktop
    - [tg] Fix several issues with typeset -p (LP: #993847)
    - [tg, RT] Detect lcc, klibc
    - [tg] Check for klibc sigsuspend fix
    - [RT] Apply inline fix for lcc, e.g. with libc5
  * Require klibc again (sigsuspend availability is now checked)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 18 May 2012 16:53:35 +0000
