=== debian/control ===
--- 
+++ 
@@ -1,23 +1,34 @@
-# $MirOS: contrib/hosted/tg/deb/mksh/debian/control,v 1.72 2012/05/05 21:45:25 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/mksh/debian/control,v 1.77 2012/06/06 23:30:54 tg Exp $
 #
 Source: mksh
 Section: shells
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://mirbsd.de/mksh
-# The list of dietlibc-dev architectures is copied from its control file.
-# On other architectures, mksh-static links against eglibc (yuck…)
-# note to porters: dropping the dietlibc-dev B-D is fine, will use eglibc then
-# but do not unversion the B-D where it is versioned, older versions are buggy
-# (not all buggy versions are excluded - but caught by the testsuite, run it!)
-# same applies to klibc
-Build-Depends: bsdmainutils, debhelper (>= 5), ed,
-#XXX klibc on hppa not built yet
-  libklibc-dev (>= 2.0~) [alpha amd64 ia64 ppc64 sparc sparc64],
-#XXX dietlibc on hppa isn't built yet (needs versioning)
+# We build-depend on dietlibc-dev and libklibc-dev for mksh-static and link
+# it against eglibc if neither is usable for a given architecture. The meat
+# checks actual shell usability based on the architecture, whether we are in
+# paranoid (just before the freeze/release) mode, and whether the testsuite
+# is run to determine bad builds. In paranoid mode, the B-D below are not
+# versioned but the testsuite is required for anything not the system libc;
+# in development mode, the B-D may be versioned, and (back)porters may only
+# remove but never unversion these. There ought to really be a better way to
+# handle this, oh my. (Mostly cannot run the testsuite when cross-compiling,
+# or when nocheck is set.) Really, do run the testsuite! (Even then, and in
+# paranoid mode, versioned B-D may be used to remove known bogus versions.)
+Build-Depends: bsdmainutils, ed,
+# # try klibc on any architectures it has ever been built; this aids people
+# # trying to debug klibc itself (armhf, hppa, powerpcspe, sh4)
+  libklibc-dev [alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64],
+# # same for dietlibc; the hppa one is optional for now
+  dietlibc-dev (>= 0.33~cvs20111108-5~) [hppa] | dietlibc-doc [hppa],
+  dietlibc-dev (>= 0.33~cvs20111108-5~) [armel armhf s390 s390x sparc64],
   dietlibc-dev [alpha amd64 arm armeb i386 ia64 mips mipsel powerpc ppc64 sparc],
-  dietlibc-dev (>= 0.33~cvs20111108-5~) [armel armhf s390 s390x sparc64],
-  locales [!avr32] | belocs-locales-bin [!avr32]
+# # also for the testsuite (could switch to C.UTF-8 nowadays, though)
+  locales [!avr32] | belocs-locales-bin [!avr32],
+  pax (>= 1:20120216-1~)
+# # hard to test against bug
+Build-Conflicts: dietlibc-dev (<< 0.33~cvs20111108-5~) [hppa]
 Standards-Version: 3.9.3
 # First word is the $CVSROOT (-d arg) string, second word the module.
 # Upstream is on the same server, in the "mksh" module.
@@ -27,7 +38,7 @@
 Package: mksh
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Suggests: ed
 Description: MirBSD Korn Shell
  mksh is the successor of the Public Domain Korn shell (pdksh),
