=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
-# $MirOS: contrib/hosted/tg/deb/mksh/debian/rules,v 1.89 2012/04/14 17:00:17 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/mksh/debian/rules,v 1.98 2012/06/07 00:27:07 tg Exp $
 
 LC_ALL:=C
 export LC_ALL
 
 # for "debian/rules get-orig-source"
-ORIGTGZ_SOURCE:=	-D'2012/04/14 16:30'
-ORIGTGZ_DESTINATION:=	40.9.20120414
+ORIGTGZ_SOURCE:=	-D'2012/05/18 16:00'
+ORIGTGZ_DESTINATION:=	40.9.20120518
 # built from R40-stable branch: R40c+
 #ORIGTGZ_SOURCE:=	-rmksh-R40stable -D'2011-11-26 18:30'
 # built from R40e tag
@@ -25,42 +25,99 @@
 build-arch: debian/.build_stamp
 
 debian/.build_stamp:
-	dh_testdir
+	# goodbye dh_testdir
+	test -f sh.h
+	test -x debian/rules
 	sh debian/meat ${ORIGTGZ_SOURCE} ${_shutup}
-	mv builddir/static/mksh builddir/static/mksh-static
 	@:>$@
 
 clean:
-	dh_testdir
-	-rm -f debian/.*_stamp
+	# goodbye dh_testdir
+	test -f sh.h
+	test -x debian/rules
 	-rm -rf builddir
-	dh_clean
+	-rm -rf debian/.*_stamp debian/B debian/mksh
+	# goodbye dh_clean
+	-rm -f debian/files debian/substvars
 
 binary-indep: build-indep
 
 binary-arch: build-arch
-	dh_testdir
-	dh_testroot
-	if test -x "$$(which dh_prep)"; then dh_prep; else dh_clean -k; fi
-	dh_installchangelogs
-	dh_installdocs
-	# we install this gzip’d already
-	rm -f debian/mksh/usr/share/doc/mksh/README.Debian
-	dh_installexamples
-	dh_install
-	dh_installmenu
-	dh_installman
-	install -m 644 dot.mkshrc debian/mksh/etc/mkshrc
-	dh_link
-	dh_strip
-	dh_compress
-	cd debian/mksh/usr/share/man/man1 && ln -sf mksh.1.gz mksh-static.1.gz
-	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	# goodbye dh_testdir
+	test -f sh.h
+	test -x debian/rules
+	# goodbye dh_prep
+	-rm -f debian/files debian/substvars
+	# goodbye dh_installdirs
+	-rm -rf debian/mksh
+	mkdir -p debian/mksh/bin debian/mksh/etc/skel \
+	    debian/mksh/usr/share/doc/mksh/examples \
+	    debian/mksh/usr/share/man/man1 \
+	    debian/mksh/usr/share/menu debian/mksh/usr/share/pixmaps
+	# goodbye dh_installchangelogs
+	cp -a debian/changelog debian/mksh/usr/share/doc/mksh/changelog.Debian
+	gzip -n9 debian/mksh/usr/share/doc/mksh/changelog.Debian
+	# goodbye dh_installdocs
+	cp -a debian/copyright debian/mksh/usr/share/doc/mksh/copyright
+	cp builddir/README.Debian.gz debian/mksh/usr/share/doc/mksh/
+	cp -a debian/mtest.t check.pl check.t debian/mksh/usr/share/doc/mksh/
+	gzip -n9 debian/mksh/usr/share/doc/mksh/mtest.t
+	gzip -n9 debian/mksh/usr/share/doc/mksh/check.pl
+	gzip -n9 debian/mksh/usr/share/doc/mksh/check.t
+	# goodbye dh_installexamples
+	cp -a dot.mkshrc debian/mksh/usr/share/doc/mksh/examples/
+	gzip -n9 debian/mksh/usr/share/doc/mksh/examples/dot.mkshrc
+	# goodbye dh_install
+	cp builddir/full/mksh debian/mksh/bin/mksh
+	cp builddir/static/mksh debian/mksh/bin/mksh-static
+	cp -a dot.mkshrc debian/mksh/etc/mkshrc
+	cp -a debian/.mkshrc debian/mksh/etc/skel/
+	cp -a debian/mksh*.xpm debian/mksh/usr/share/pixmaps/
+	# goodbye dh_installmenu
+	cp -a debian/mksh.menu debian/mksh/usr/share/menu/mksh
+	# goodbye dh_installman
+	cp -a mksh.1 debian/mksh/usr/share/man/man1/
+	gzip -n9 debian/mksh/usr/share/man/man1/mksh.1
+	ln -sf mksh.1.gz debian/mksh/usr/share/man/man1/mksh-static.1.gz
+	# goodbye dh_strip
+ifeq (,$(findstring nostrip,${DEB_BUILD_OPTIONS}))
+	strip -s -R .note -R .comment \
+	    debian/mksh/bin/mksh debian/mksh/bin/mksh-static
+endif
+	# goodbye dh_fixperms
+	chmod 644 $$(find debian/mksh -type f)
+	chmod 755 $$(find debian/mksh -type d) \
+	    debian/mksh/bin/mksh debian/mksh/bin/mksh-static
+	# goodbye dh_installdeb
+	-rm -rf debian/B
+	mkdir -p debian/mksh/DEBIAN debian/B/c
+	set -e; for f in conffiles postinst postrm preinst prerm; do \
+		cp -a debian/mksh.$$f debian/B/c/$$f; \
+	done
+	# goodbye dh_shlibdeps
+	dpkg-shlibdeps -edebian/mksh/bin/mksh
+	# goodbye dh_gencontrol
+	dpkg-gencontrol -pmksh -Pdebian/mksh -isp
+	mv debian/mksh/DEBIAN/control debian/B/c/
+	rm -rf debian/mksh/DEBIAN
+	# goodbye dh_md5sums
+	cfcmd="grep -Fxv"; while read n; do \
+		cfcmd="$$cfcmd -e .$$n"; \
+	done <debian/B/c/conffiles; (cd debian/mksh && find . -type f | \
+	    $$cfcmd | sed s,^./,, | sort | xargs md5sum) >debian/B/c/md5sums
+	# goodbye dh_builddeb
+	(cd debian/mksh && find . | sort | paxcpio \
+	    -oC512 -Hustar -Minodes -Mlinks -Muidgid -Mgslash) | \
+	    gzip -n9 >debian/B/data.tar.gz
+	cd debian/B/c && chmod 644 * && chmod 755 postinst postrm preinst prerm
+	(cd debian/B/c && find . | sort | paxcpio \
+	    -oC512 -Hustar -Minodes -Mlinks -Muidgid -Mgslash) | \
+	    gzip -n9 >debian/B/control.tar.gz
+	echo 2.0 >debian/B/debian-binary
+	read fn rest <debian/files && cd debian/B && \
+	    paxtar -A -M dist -cf "../../../$$fn" \
+	    debian-binary control.tar.gz data.tar.gz
+	#-
 	gzip -d <builddir/README.Debian.gz | sed \
 	    -e '1,/^Details/d' -e '/^Actual/d' -e '/^]/d'
