## mksh 40.9.20120626

=== debian/changelog ===
mksh (40.9.20120626-2) unstable; urgency=low

  * The “So long, and thanks for all the fish!” upload
  * Transition /usr/share/doc/pdksh to a symlink manually,
    as dpkg won’t do that for us (thanks Robert Luberda)
  * Disabling ProPolice/SSP for klibc’s a bit tricky, fix

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 27 Jun 2012 07:16:03 +0000

mksh (40.9.20120626-1) unstable; urgency=low

  * The “popcorn!” upload
  * Forgot in 40.9.20120518-2 to set $CC correctly when cross-building
  * By request of pdksh maintainer take over the pdksh binary package
    and make it transitional
  * Update to mksh-HEAD:
    - [tg] Fix some issues found by Coverity and some found while fixing
    - [tg] Build.sh options: -t target-filename (instead of mksh);
      -L to build a legacy mksh, current changes:
      > different $KSH_VERSION “LEGACY KSH” instead of “MIRBSD KSH”
      > purely for running ksh88 and pdksh scripts; no command line editing
      > use traditional “set -- $(getopt …); echo $?” mode always
      > do not keep file descriptors private
      > parse leading-zero-digit numbers as octal
      > no mksh extension -T
  * Write an lksh(1) manual page
  * Make build process better error-resistent

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 26 Jun 2012 21:12:43 +0000
