=== debian/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $MirOS: contrib/hosted/tg/deb/mksh/debian/control,v 1.77 2012/06/06 23:30:54 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/mksh/debian/control,v 1.78 2012/06/26 20:12:19 tg Exp $
 #
 Source: mksh
 Section: shells
@@ -61,6 +61,24 @@
  architectures.
  It omits some leaf features to be even smaller.
  .
+ The lksh binary is a script shell based on mksh intended to run old
+ ksh88 and pdksh scripts, but not for interactive use.
+ .
  A sample ~/.mkshrc is included in /usr/share/doc/mksh/examples and
  provided as /etc/mkshrc conffile, which is sourced by another file
  /etc/skel/.mkshrc users are recommended to copy into their home.
+
+Package: pdksh
+Section: oldlibs
+Priority: extra
+Architecture: all
+Multi-Arch: foreign
+Depends: mksh (>= 40.9.20120626)
+Description: transitional dummy package to migrate from pdksh to mksh
+ The Public Domain Korn Shell "pdksh" is a mostly complete AT&T ksh
+ look-alike, but has been superseded by mksh. This transitional dummy
+ package exists to fulfil the needs of existing users, dependencies
+ and build-dependencies by providing pdksh symlinks to the legacy
+ flavour of mksh. You can safely remove it once you have no remaining
+ users or scripts depending on pdksh any more (do make sure to check
+ users' login shells).
