## mksh 40.9.20120630

=== debian/changelog ===
mksh (40.9.20120630-7) unstable; urgency=low

  * The “customer service” upload
  * Correct the fix for LP#1104543 (Closes: #700526)
  * Fix uninitialised memory access (Closes: #700604)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 15 Feb 2013 19:00:40 +0000

mksh (40.9.20120630-6) unstable; urgency=low

  * Revert the fix for LP#1104543 as it causes Debian #700526
    (not closing as it’s not a proper fix)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 15 Feb 2013 17:44:20 +0000

mksh (40.9.20120630-5) unstable; urgency=low

  * Bump versioned B-D on libklibc-dev [armhf] to known-fixed
  * Fix input command line editing display redrawing issue
  * Backport fixes to the regression testsuite and some new tests
  * Add bugfixes for error handling related issues:
    - behaviour of $? in eval (RedHat BZ#865121)
    - running the EXIT and ERR traps (Closes: #696823)
    - set -e vs. use of &&/|| in a function (LP#1104543)
  * Add appropriate regression tests for these fixes
  * Update the mailing list address in lksh.1 manpage
  * In /etc/skel/.mkshrc handle /etc/debian_chroot like bashrc does
  * Update copyright year

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 11 Feb 2013 14:14:37 +0100

mksh (40.9.20120630-4) unstable; urgency=low

  * The “Cookie” upload
  * Revert Ubuntu-specific change to drop dietlibc B-D
  * Bump versioned B-D on dietlibc-dev [armhf] to known-fixed

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 13 Oct 2012 14:56:50 +0000

mksh (40.9.20120630-3ubuntu1) quantal; urgency=low

  * The “GNU Chagrin Collection” upload
  * Merge from Debian unstable.  Remaining changes:
    - Remove dietlibc-dev build-deps, unnecessary for Ubuntu.
  * Move some compile-time checks to run-time (LP#1058035)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 29 Sep 2012 22:00:14 +0000

mksh (40.9.20120630-3) unstable; urgency=low

  * The “PHP Securiwhat?” upload
  * Apply cherry-picked fixes from mksh CVS (branch mksh-wheezy):
    - Upgrade to Unicode 6.1.0
    - Plug memory leak in tab completion code
    - Fix tab completion for tilde, related to LP#1025843
    - Fix reentry of here documents (LP#1030581)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 03 Sep 2012 19:28:19 +0000

mksh (40.9.20120630-2) unstable; urgency=low

  * The “kutweer” upload
  * Apply cherry-picked fixes from mksh CVS (branch mksh-wheezy):
    - [tg] Fix CONSERVATIVE_FDS use-before-definition bug
    - [tg] Correct a regression when tab-completing (LP#1025843) and fix
      bugs in the same code wrt. completion display and other expansions
  * Document use of CONSERVATIVE_FDS in lksh manpage

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 20 Jul 2012 23:32:37 +0000

mksh (40.9.20120630-1) unstable; urgency=low

  * The “GC2TDN7” upload
  * Update to mksh CVS HEAD for manpage string improvements
  * Point to IRC and mailing list in the lksh manual page
  * Drop redundant -DMKSH_NO_LIMITS in klibc builds
  * Mention /etc/skel/.mkshrc in the pdksh upgrade message
  * Bump pdksh versioned dep on mksh, to have complete changelog
  * Rework some more texts and hints
  * Say hello to *buntu main, pdksh is gone

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 30 Jun 2012 17:30:11 +0000

mksh (40.9.20120628-1) unstable; urgency=low

  * The “meet a deadline” upload
  * Update to mksh-HEAD:
    - [tg] Legacy mksh: use “long”, not “int32_t”, for arithmetics
    - [tg] Legacy mksh: allow dummy set ±o emacs, gmacs, vi, …
    - [tg] fix trimming with positional parameters (Closes: #48453)
    - [tg] ensure that case end tokens are not mixed up (Closes: #220272)
    - [tg] make alias definitions in mksh -c work (Closes: #517009), hack
  * Show note about login shell transition in postinst (Closes: #679322)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 28 Jun 2012 22:44:00 +0200
