=== debian/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $MirOS: contrib/hosted/tg/deb/mksh/debian/control,v 1.78 2012/06/26 20:12:19 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/mksh/debian/control,v 1.83 2012/10/06 13:04:43 tg Exp $
 #
 Source: mksh
 Section: shells
@@ -18,11 +18,13 @@
 # paranoid mode, versioned B-D may be used to remove known bogus versions.)
 Build-Depends: bsdmainutils, ed,
 # # try klibc on any architectures it has ever been built; this aids people
-# # trying to debug klibc itself (armhf, hppa, powerpcspe, sh4)
-  libklibc-dev [alpha amd64 armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64],
+# # trying to debug klibc itself (hppa, powerpcspe, sh4)
+  libklibc-dev (>= 2.0.1-2~) [armhf],
+  libklibc-dev [alpha amd64 armel hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64],
 # # same for dietlibc; the hppa one is optional for now
+  dietlibc-dev (>= 0.33~cvs20120325-4~) [armhf],
   dietlibc-dev (>= 0.33~cvs20111108-5~) [hppa] | dietlibc-doc [hppa],
-  dietlibc-dev (>= 0.33~cvs20111108-5~) [armel armhf s390 s390x sparc64],
+  dietlibc-dev (>= 0.33~cvs20111108-5~) [armel s390 s390x sparc64],
   dietlibc-dev [alpha amd64 arm armeb i386 ia64 mips mipsel powerpc ppc64 sparc],
 # # also for the testsuite (could switch to C.UTF-8 nowadays, though)
   locales [!avr32] | belocs-locales-bin [!avr32],
@@ -73,7 +75,7 @@
 Priority: extra
 Architecture: all
 Multi-Arch: foreign
-Depends: mksh (>= 40.9.20120626)
+Depends: mksh (>= 40.9.20120630)
 Description: transitional dummy package to migrate from pdksh to mksh
  The Public Domain Korn Shell "pdksh" is a mostly complete AT&T ksh
  look-alike, but has been superseded by mksh. This transitional dummy
@@ -82,3 +84,7 @@
  flavour of mksh. You can safely remove it once you have no remaining
  users or scripts depending on pdksh any more (do make sure to check
  users' login shells).
+ .
+ Note: the mksh legacy flavour is not intended for interactive use.
+ Please change your login shell to /bin/mksh and copy /etc/skel/.mkshrc
+ to your home directory.
