=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
-# $MirOS: contrib/hosted/tg/deb/mksh/debian/rules,v 1.101 2012/06/26 21:15:56 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/mksh/debian/rules,v 1.103 2012/06/30 17:24:36 tg Exp $
 
 LC_ALL:=C
 export LC_ALL
 
 # for "debian/rules get-orig-source"
-ORIGTGZ_SOURCE:=	-D'2012/06/26 20:00'
-ORIGTGZ_DESTINATION:=	40.9.20120626
+ORIGTGZ_SOURCE:=	-D'2012/06/30 16:00'
+ORIGTGZ_DESTINATION:=	40.9.20120630
 # built from R40-stable branch: R40c+
 #ORIGTGZ_SOURCE:=	-rmksh-R40stable -D'2011-11-26 18:30'
 # built from R40e tag
